pip3 install hbdk==3.34.1 --no-dependencies -i https://pypi.hobot.cc/simple --extra-index-url=https://pypi.hobot.cc/hobot-local/simple --trusted-host pypi.hobot.cc
pip3 install mxnet-horizon==1.5.1.2.3b20210707+eaffa -i http://pypi.hobot.cc/hobot-local/simple --extra-index-url=http://mirrors.aliyun.com/pypi/simple/ --trusted-host pypi.hobot.cc --trusted-host mirrors.aliyun.com
export PATH=~/.local/lib/python3.6/site-packages/hbdk/bin/:$PATH
export PATH=~/.local/bin:$PATH
hbdk-cc --version

#*******************************************************************


cd /bucket/output/model_storage/build/243812/so
echo start pack...
echo `date '+%Y-%m-%d %H:%M:%S'` start
echo hbdk-pack detection.hbm detection_crop.hbm detection_crop_8M.hbm detection_night.hbm detection_crop_night.hbm detection_crop_8M_night.hbm scene_multitask.hbm traffic_sign.hbm rear_lmks_multitask.hbm person_multitask.hbm cyclist_wheel_kps.hbm traffic_light.hbm traffic_light_night.hbm vehicle_multitask.hbm rear_multitask.hbm traffic_sign_assist.hbm person_cyclist_2pe_multitask.hbm IQA_multitask.hbm cone_bollard_classification.hbm roadarrow.hbm fast_veh_multitask.hbm fast_person_cyclist_multitask.hbm fast_traffic_sign.hbm fast_traffic_light.hbm fast_traffic_cone.hbm fast_road_arrow.hbm real3d_with_desensitization.hbm toll_gate_key_point_lmks.hbm -o /bucket/output/model_storage/build/243812/so/model.hbm --tag AIDI243812-mono-3.2-x8b-V5.0.0-Mono-20230309-200504
hbdk-pack detection.hbm detection_crop.hbm detection_crop_8M.hbm detection_night.hbm detection_crop_night.hbm detection_crop_8M_night.hbm scene_multitask.hbm traffic_sign.hbm rear_lmks_multitask.hbm person_multitask.hbm cyclist_wheel_kps.hbm traffic_light.hbm traffic_light_night.hbm vehicle_multitask.hbm rear_multitask.hbm traffic_sign_assist.hbm person_cyclist_2pe_multitask.hbm IQA_multitask.hbm cone_bollard_classification.hbm roadarrow.hbm fast_veh_multitask.hbm fast_person_cyclist_multitask.hbm fast_traffic_sign.hbm fast_traffic_light.hbm fast_traffic_cone.hbm fast_road_arrow.hbm real3d_with_desensitization.hbm toll_gate_key_point_lmks.hbm -o /bucket/output/model_storage/build/243812/so/model.hbm --tag AIDI243812-mono-3.2-x8b-V5.0.0-Mono-20230309-200504
echo `date '+%Y-%m-%d %H:%M:%S'` end
echo pack finish
md5sum model.hbm >> /bucket/output/model_storage/build/243812/so/model-checksum.txt
hbdk-cc --version >> /bucket/output/model_storage/build/243812/so/version.json

#*******************************************************************



cd /bucket/output/model_storage/build/243812/so
echo start disas...
echo `date '+%Y-%m-%%d %H:%M:%S'` start
echo hbdk-disas /bucket/output/model_storage/build/243812/so/model.hbm -o /bucket/output/model_storage/build/243812/so/model_info.json --json
hbdk-disas /bucket/output/model_storage/build/243812/so/model.hbm -o /bucket/output/model_storage/build/243812/so/model_info.json --json
echo `date '+%Y-%m-%d %H:%M:%S'` end
echo disas finish

#*******************************************************************


mkdir -p /bucket/output/model_storage/build/243812/perf
cd /bucket/output/model_storage/build/243812/perf
echo start perf...
echo `date '+%Y-%m-%d %H:%M:%S'` start
echo hbdk-perf /bucket/output/model_storage/build/243812/so/model.hbm
hbdk-perf /bucket/output/model_storage/build/243812/so/model.hbm
echo `date '+%Y-%m-%d %H:%M:%S'` end

#*******************************************************************

